package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.json.EnumValueDeserializer;

/**
 *
 * 盲票实体形式
 *
 */
@JSONType(deserializer = EnumValueDeserializer.class)
public enum TicketTypeEnum implements IEnum<String> {

  ONLINE("online", "线上票"),
  OFFLINE("offline", "线下票");

  private final String value;
  private final String desc;

  TicketTypeEnum(final String value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public String getValue() {
    return value;
  }

  public String getDesc() {
    return desc;
  }

  /**
   * 重写toString，单个转化成json
   * @return
   */
  @Override
  public String toString() {
    JSONObject object = new JSONObject();
    object.put("value",value);
    object.put("desc", desc);
    return object.toString();
  }
}
